std::__atomic_base< _ITp >(3cxx)

NAME
std::__atomic_base< _ITp > - Base class for atomic integrals.

SYNOPSIS

  Public Member Functions

constexpr __atomic_base (__int_type __i) noexcept
__atomic_base (const __atomic_base &)=delete
__attribute__ ((__always_inline__)) void store(__int_type __i
bool is_lock_free () const noexcept
bool is_lock_free () const volatile noexcept
operator __int_type () const noexcept
operator __int_type () const volatile noexcept
__int_type operator&= (__int_type __i) noexcept
__int_type operator&= (__int_type __i) volatile noexcept
__int_type operator++ () noexcept
__int_type operator++ () volatile noexcept
__int_type operator++ (int) noexcept
__int_type operator++ (int) volatile noexcept
__int_type operator+= (__int_type __i) noexcept
__int_type operator+= (__int_type __i) volatile noexcept
__int_type operator-- () noexcept
__int_type operator-- () volatile noexcept
__int_type operator-- (int) noexcept
__int_type operator-- (int) volatile noexcept
__int_type operator-= (__int_type __i) noexcept
__int_type operator-= (__int_type __i) volatile noexcept
__int_type operator= (__int_type __i) noexcept
__int_type operator= (__int_type __i) volatile noexcept
__atomic_base & operator= (const __atomic_base &) volatile=delete
__atomic_base & operator= (const __atomic_base &)=delete
__int_type operator^= (__int_type __i) noexcept
__int_type operator^= (__int_type __i) volatile noexcept
__int_type operator|= (__int_type __i) noexcept
__int_type operator|= (__int_type __i) volatile noexcept

Detailed Description

  template<typename _ITp>
struct std::__atomic_base< _ITp >" Base class for atomic integrals.

Definition at line 120 of file atomic_base.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.